<?php
/**
 @ Permission Box
 @ Copyright 2007 LegosJedi
 @ Contact: LegosJedi@hostbrickmovies.com
*/

$plugins->add_hook('showthread_start', 'permission_box');
$plugins->add_hook('forumdisplay_start', 'permission_box');

function permbox_info()
{
    return array(
        "name" 			=> "Permission Box",
        "description" 	=> "Adds a permission box on the bottom of a few pages, like in vBulletin",
        "website" 		=> "http://legosjedi.phpnet.us/",
        "author"  		=> "LegosJedi",
        "authorsite"	=> "http://legosjedi.phpnet.us/",
        "version"		=> "1.0.1",
    );
}

function permbox_activate()
{
	global $db;
	
	$template = array(
		"tid" 		=> "NULL",
		"title" 	=> "permission_box",
		"template" 	=> "<br />
<table border=\"0\" cellspacing=\"{\$theme[\'borderwidth\']}\" cellpadding=\"{\$theme[\'tablespace\']}\" class=\"tborder\" style=\"width: 200px; margin-left: 0; font-size: 10px;\">
	<tr>
		<td class=\"thead\">{\$lang->permissions}</td>
	</tr>
	<tr>
		<td class=\"trow1\">{\$lang->post_threads}<br />
		{\$lang->post_replies}<br />
		{\$lang->post_attach}<br />
		{\$lang->edit_posts}</td>
	</tr>
	<tr>
		<td class=\"trow2\">{\$lang->html}<br />
		{\$lang->mycode}<br />
		{\$lang->smilies}<br />
		{\$lang->img}</td>
	</tr>
</table>",
		"sid" 		=> "-1",
		"version" 	=> "127",
		"status" 	=> "0",
		"dateline" 	=> time(),
	);
	
	$db->insert_query(TABLE_PREFIX."templates", $template);
	
	require_once(MYBB_ROOT.'/inc/adminfunctions_templates.php');
	
	find_replace_templatesets('forumdisplay', '#{\$threadslist}#', "$0\n{\$permission_box}");
	find_replace_templatesets('showthread', '#{\$footer}#', "{\$permission_box}\n$0");
}

function permbox_deactivate()
{
	global $db;
	
	$db->query("DELETE FROM `".TABLE_PREFIX."templates` WHERE title='permission_box' AND sid='-1'");
	
	require_once(MYBB_ROOT.'/inc/adminfunctions_templates.php');
	
	find_replace_templatesets('forumdisplay', '#\n{\$permission_box}#', "", 0);
	find_replace_templatesets('showthread', '#{\$permission_box}\n#', "", 0);
}

function permission_box()
{
	global $mybb, $templates, $lang, $db, $permission_box;
	
	$lang->load('permbox');
	if($mybb->user['uid'] <= 0)
	{
		$lang->post_threads = sprintf($lang->post_threads, $lang->cannot);
		$lang->post_replies = sprintf($lang->post_replies, $lang->cannot);
		$lang->post_attach = sprintf($lang->post_attach, $lang->cannot);
		$lang->edit_posts = sprintf($lang->edit_posts, $lang->cannot);
	}
	
	if(isset($mybb->input['tid']))
	{
		$query = $db->query("SELECT fid FROM ".TABLE_PREFIX."threads WHERE tid='".$mybb->input['tid']."'");
		$forumid = $db->fetch_array($query);
		$mybb->input['fid'] = $forumid['fid'];
	}
	$query = $db->query("SELECT allowhtml, allowmycode, allowimgcode, allowsmilies FROM ".TABLE_PREFIX."forums WHERE fid='".$mybb->input['fid']."'");
	$forum_perms = $db->fetch_array($query);
	
	$lang->html = sprintf($lang->html, ($forum_perms['allowhtml'] == 'yes') ? $lang->on : $lang->off);
	$lang->mycode = sprintf($lang->mycode, ($forum_perms['allowmycode'] == 'yes') ? $lang->on : $lang->off);
	$lang->img = sprintf($lang->img, ($forum_perms['allowimgcode'] == 'yes') ? $lang->on : $lang->off);
	$lang->smilies = sprintf($lang->smilies, ($forum_perms['allowsmilies'] == 'yes') ? $lang->on : $lang->off);
	
	$query = $db->query("SELECT canpostthreads, canpostreplys, canpostattachments, caneditposts FROM ".TABLE_PREFIX."forumpermissions WHERE fid='".$mybb->input['fid']."' AND gid='".$mybb->usergroup['gid']."' LIMIT 1");
	if($db->num_rows($query) > 0) {
		$result = $db->fetch_array($query);
		
		$lang->post_threads = sprintf($lang->post_threads, ($result['canpostthreads'] == 'yes') ? $lang->can : $lang->cannot);
		$lang->post_replies = sprintf($lang->post_replies, ($result['canpostreplys'] == 'yes') ? $lang->can : $lang->cannot);
		$lang->post_attach = sprintf($lang->post_attach, ($result['canpostattachments'] == 'yes') ? $lang->can : $lang->cannot);
		$lang->edit_posts = sprintf($lang->edit_posts, ($result['caneditposts'] == 'yes') ? $lang->can : $lang->cannot);
	} else {
		$lang->post_threads = sprintf($lang->post_threads, ($mybb->usergroup['canpostthreads'] == 'yes') ? $lang->can : $lang->cannot);
		$lang->post_replies = sprintf($lang->post_replies, ($mybb->usergroup['canpostreplys'] == 'yes') ? $lang->can : $lang->cannot);
		$lang->post_attach = sprintf($lang->post_attach, ($mybb->usergroup['canpostattachments'] == 'yes') ? $lang->can : $lang->cannot);
		$lang->edit_posts = sprintf($lang->edit_posts, ($mybb->usergroup['caneditposts'] == 'yes') ? $lang->can : $lang->cannot);
	}
	
	eval("\$permission_box = \"".$templates->get('permission_box')."\";");
}
?>